glibc-2.5.1 compile error

Dan Nicholson dbn.lists at gmail.com
Mon Oct 1 07:46:02 PDT 2007


On 9/30/07, Joseph M. <yosyp.list at gmail.com> wrote:
> I am using the stable book (6.3), when doing whats in chapter 5.6,
> "Installing Glibc", I get the following error:
> ../nptl/sysdeps/i386/i686/../tls.h:66:3: error: #error "TLS support is
> required."
> make[2]: *** [/mnt/lfs/sources/intl/bindtextdom.o] Error 1
> make[2]: Leaving directory `/mnt/lfs/glibc-2.5.1/intl'
> make[1]: *** [intl/subdir_lib] Error 2
> make[1]: Leaving directory `/mnt/lfs/glibc-2.5.1'
> make: *** [all] Error 2

It sounds like you failed the configure test for "i386 TLS support".
I'm not sure why that would happen. Can you search for "i386 TLS
support" in config.log and see what it says?

--
Dan



More information about the lfs-support mailing list